# CreoLauncher
**Description:** Simplifies or excludes the accounting and management of licenses if:
- starter licenses are used instead of floating licenses;  
- the number of licenses is less than the number of users;  
- multiple licensing servers are used.

**Dependencies:** PowerShell, PTC Creo Parametric (tested PoSH 5.1, Windows 10.19042 Pro x64, Creo Parametric 7.0.2.0 x64)

**Installation:**
1. Edit [CreoLauncher.txt](https://git.hmp.today/pavel.muhortov/CreoLauncher/src/branch/master/CreoLauncher.txt "CreoLauncher.txt") for your configuration of licensing servers.
2. Run [setup.cmd](https://git.hmp.today/pavel.muhortov/CreoLauncher/src/branch/master/setup.cmd "setup.cmd") on user machines to copiying [CreoLauncher.ps1](https://git.hmp.today/pavel.muhortov/CreoLauncher/src/branch/master/CreoLauncher.ps1 "CreoLauncher.ps1") to Parametric directory, backuping original **Parametric.psf** and creating links in **Start Menu** and **Public Desktop**.

**Usage:**
1. Start Creo Launcher link.
2. Select the required Creo Parametric modules.
3. Push Start button.
